Command Palette
Search for a command to run

Create a registry

Add new container registry credentials to a namespace

POST
/auth/v1/seed/{namespace}/registries

Add new container registry credentials to a namespace. The password is encrypted at rest and never returned in API responses.

Path parameters


namespace
type: string
required
The namespace (user or organization) to add the registry to.

Body parameters


name
type: string
required
A display name for the registry credential (e.g., `github-registry`, `aws-ecr-prod`).
registry_url
type: string
required
The registry hostname. For example, `"ghcr.io"`, `"docker.io"`, `"123456789.dkr.ecr.us-east-1.amazonaws.com"`.
username
type: string
required
The username for authenticating with the registry.
password
type: string
required
The password or access token for authenticating with the registry. Encrypted at rest and never returned in responses.

Previous Delete a git provider

Next List registries